/*
 * IBM Confidential
 * OCO Source Materials
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta;

import javax.resource.ResourceException;
import com.ibm.j2ca.base.WBIResourceAdapterMetadata;

/**
 * This class represents a JCA ResourceAdapterMetaData. The interface javax.resource.cci.ResourceAdapterMetaData provides information about capabilities of a resource adapter implementation. Note that
 * this interface does not provide information about an EIS instance that is connected through the resource adapter.
 * 
 * A CCI client uses a ConnectionFactory.getMetaData to get metadata information about the resource adapter. The getMetaData method does not require that an active connection to an EIS instance should
 * have been established.
 * 
 * The ResourceAdapterMetaData can be extended to provide more information specific to a resource adapter implementation. 
 */
 
public class VTAWSAResourceAdapterMetadata extends WBIResourceAdapterMetadata {
	public VTAWSAResourceAdapterMetadata(String name, String version, String vendor, boolean isTxnSupported) throws ResourceException {
   	    this();
    }
    public VTAWSAResourceAdapterMetadata() throws ResourceException {
		    super("IBM WebSphere Adapter for Visual Test", "IBM", "6.2", true, "VTARA" );
	}
}