/*
 * IBM Confidential
 * OCO Source Materials
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.emd.discovery;

import com.ibm.j2ca.extension.emd.discovery.WBIAdapterTypeImpl;
import com.ibm.j2ca.extension.emd.discovery.WBIMetadataEditImpl;
import commonj.connector.metadata.MetadataException;
import commonj.connector.metadata.discovery.connection.InboundConnectionType;
import commonj.connector.metadata.discovery.connection.OutboundConnectionType;

//added by VTADev team
import com.ibm.j2ca.extension.emd.PropertyNameHelper;
import com.ibm.j2ca.vta.emd.discovery.connection.VTAInboundConnectionType;
import com.ibm.j2ca.vta.emd.discovery.connection.VTAOutboundConnectionType;

/**
 * The enterprise metadata discovery service uses WBIMetadataEditImpl to acquire
 * connectionTypes, which contains editable properties for ResourceAdapter,
 * ManagedConnectionFactory or ActivationSpec.
 * The instance of this class is created by the tool during the bootstrap process
 */
public class VTAMetadataEdit extends WBIMetadataEditImpl {
    
    WBIAdapterTypeImpl adapterType;

    //added by VTADev team
	PropertyNameHelper helper = null;

    public VTAMetadataEdit() throws MetadataException {
		helper = new PropertyNameHelper(null, "com.ibm.j2ca.vta.emd", null);
		
		adapterType = new WBIAdapterTypeImpl("com.ibm.j2ca.vta.VTAResourceAdapter", 2, 1);
		VTAOutboundConnectionType outConnTypeForMetadata = new VTAOutboundConnectionType(adapterType,helper);
		outConnTypeForMetadata.setIsSupportedInMetadataService(true);
		outConnTypeForMetadata.setManagedConnectionFactoryJavaBean("com.ibm.j2ca.vta.outbound.VTAManagedConnectionFactory");
		adapterType.addOutboundConnectionType(outConnTypeForMetadata);

		VTAOutboundConnectionType outConnTypeForRuntime = new VTAOutboundConnectionType(adapterType,helper);
		adapterType.addOutboundConnectionType(outConnTypeForRuntime);
		outConnTypeForRuntime.setManagedConnectionFactoryJavaBean("com.ibm.j2ca.vta.outbound.VTAManagedConnectionFactory");
		outConnTypeForRuntime.setResourceAdapterJavaBean("com.ibm.j2ca.vta.VTAResourceAdapter");
		outConnTypeForRuntime.setIsSupportedInMetadataService(false);

		VTAInboundConnectionType inConnTypeForRuntime = new VTAInboundConnectionType(adapterType,helper);
		adapterType.addInboundConnectionType(inConnTypeForRuntime);
		inConnTypeForRuntime.setResourceAdapterJavaBean("com.ibm.j2ca.vta.VTAResourceAdapter");
		inConnTypeForRuntime.setActivationSpecJavaBean("com.ibm.j2ca.vta.inbound.VTAActivationSpecWithXid");

    }

    /**
     * @return 	outbound Connection type contains two types, discovery connection
     * 			and runtime connection.  This returns the runtime connection type
     * @see commonj.connector.metadata.discovery.MetadataEdit#getOutboundConnectionType(java.lang.String)
     */
    public OutboundConnectionType getOutboundConnectionType(String arg0) throws MetadataException {
		return adapterType.getOutboundConnectionTypes()[1];
    }

    /**
     * @return 	returns the runtime connection type.  Inbound connection has only type.
     * @see commonj.connector.metadata.discovery.MetadataEdit#getInboundConnectionType(java.lang.String)
     */
    public InboundConnectionType getInboundConnectionType(String arg0) throws MetadataException {
		return adapterType.getInboundConnectionTypes()[0];	
    }
}