/*
 * IBM Confidential
 * OCO Source Materials
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.emd.discovery.connection;

import com.ibm.j2ca.extension.emd.discovery.connection.WBIOutboundConnectionTypeImpl;
import com.ibm.j2ca.extension.emd.discovery.WBIAdapterTypeImpl;
import com.ibm.j2ca.extension.emd.discovery.WBIMetadataDiscoveryImpl;

import commonj.connector.metadata.discovery.connection.OutboundConnectionConfiguration;
import commonj.connector.metadata.MetadataException;

//added by VTADev team
import com.ibm.j2ca.extension.emd.PropertyNameHelper;
import java.util.logging.Level;

public class VTAOutboundConnectionType extends
		WBIOutboundConnectionTypeImpl {
		
	VTAOutboundConnectionConfiguration conf = null;

	//added by VTADev team
	PropertyNameHelper helper = null;
	
	//added by VTADev team
	public VTAOutboundConnectionType(WBIAdapterTypeImpl adapterType,PropertyNameHelper helper) throws MetadataException {
		super(adapterType, helper);
		this.helper = helper;
		setDescription("Connection to VTA system");
		setDisplayName("VTA Connection");
		setId("VTA");
	}

		
	/**
	 * Creates an instance of VTAInboundConnectionType
	 *
	 * @param 	adapterType
	 * @throws  MetadataException
	 */
	public VTAOutboundConnectionType(WBIAdapterTypeImpl adapterType) throws MetadataException {
		super(adapterType);
        setDescription(WBIMetadataDiscoveryImpl.getPropertyDescription("ConnectionType"));
        setId("VTA");
        setDisplayName(WBIMetadataDiscoveryImpl.getPropertyName("ConnectionType"));
	}

	/**
	 * @return InboundConnectionConfiguration instance
	 * @see commonj.connector.metadata.discovery.connection.OutboundConnectionType#createOutboundConnectionConfiguration()
	 */
	public OutboundConnectionConfiguration createOutboundConnectionConfiguration() {
		/*try {
            if (conf == null)
                conf = new VTAOutboundConnectionConfiguration(this);
        } catch (MetadataException e) {
           throw new RuntimeException(e);
        }
        return conf;*/
		if ((helper.getLogUtils()!=null) && helper.getLogUtils().isTraceEnabled(Level.FINE))
			helper.getLogUtils().traceMethodEntrance("VTAOutboundConnectionType", "createOutboundConnectionConfiguration");
		
		try {
			if (conf == null)
				conf = new VTAOutboundConnectionConfiguration(this,helper);
		} catch (Exception e) {
			throw new RuntimeException(e.getMessage(), e);
		}
		if ((helper.getLogUtils()!=null) && helper.getLogUtils().isTraceEnabled(Level.FINE))
			helper.getLogUtils().traceMethodExit("VTAOutboundConnectionType", "createOutboundConnectionConfiguration");
		return conf;

	}

}