/*
 * IBM Confidential
 * OCO Source Materials
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.outbound;

import javax.resource.ResourceException;
import javax.resource.cci.Interaction;

import com.ibm.j2ca.base.WBIConnection;
import com.ibm.j2ca.base.WBIManagedConnection;
import com.ibm.j2ca.base.WBIResourceAdapterMetadata;
import com.ibm.j2ca.vta.VTAConstants;
import com.ibm.j2ca.vta.VTAResourceAdapter;
import com.ibm.j2ca.vta.VTAWSAResourceAdapterMetadata;

public class VTAConnection extends WBIConnection {

	public VTAConnection(WBIManagedConnection arg0) throws ResourceException {
		super(arg0);
	}

	public Interaction createInteraction() throws ResourceException {
		getLogUtils().traceMethodEntrance(VTAConnection.class.getName(), "createInteraction()");
		super.checkValidity();
		Interaction interaction = new VTAInteraction(this);
		getLogUtils().traceMethodExit(VTAConnection.class.getName(), "createInteraction()");
		return interaction;
	}
	
    /**
     * @return an instance of VTAWSAResourceAdapterMetadata
     */
    public WBIResourceAdapterMetadata getResourceAdapterMetadata() throws ResourceException {
        boolean isTxnSupported = false;  // Is transaction supported? 
        return new VTAWSAResourceAdapterMetadata(VTAConstants.CONNECTOR_NAME, VTAConstants.CONNECTOR_VENDOR,VTAConstants.CONNECTOR_VERSION, isTxnSupported);
    }
    
    public Object getEISConnection() throws ResourceException {
    	VTAManagedConnection vtaConnection = (VTAManagedConnection) this.getManagedConnection();
        // TODO return the managed connection
    	return null;
    }

    public VTAResourceAdapter getResourceAdapter() throws ResourceException {
    	VTAManagedConnection vtaConnection = (VTAManagedConnection) this.getManagedConnection();
        // TODO return a resource adapter instance
    	return null;
    }

}